@echo off
cd /d "%~dp0"

if not exist ".venv\Scripts\atm.exe" (
    echo Instalez atm in venv local...
    python -m venv .venv
    call .venv\Scripts\activate.bat
    pip install -e ".[windows]"
)

if "%~1"=="" (
    .venv\Scripts\atm.exe run
) else (
    .venv\Scripts\atm.exe %*
)
